FolksDummy.FullPersona.update_is_favourite – folks-dummy Reference Manual

# update_is_favourite

## Description:

public void update_is_favourite (bool is_favourite)

Update persona's status as a favourite.

This simulates a backing-store-side update of the persona's Folks.FavouriteDetails.is_favourite property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

is_favourite | persona's new status as a favourite

## Since:

0.9.7